View Issue Details

IDProjectCategoryView StatusLast Update
0001741SymmetricDS ProImprovementpublic2015-01-06 17:26
ReporterelongAssigned Toelong 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version3.5.0 
Target Version3.7.0Fixed in Version3.7.0 
Summary0001741: Improve Firebird SYM_UDF installation
DescriptionInclude a Linux 64-bit version of the SYM_UDF.SO.

The Firebird dialect no longer uses SYM_ESCAPE (it uses built-in REPLACE instead), although it does still use SYM_HEX. Let's soften the startup to log a warning if the UDF is not installed. If user needs to sync a BLOB, they will get an error at that point, but most users can get by without the UDF.
TagsNo tags attached.

Activities

elong

2014-05-31 11:05

developer   ~0000531

See https://sourceforge.net/p/symmetricds/discussion/739236/thread/5ce4bb4a/?limit=25#cdbd

elong

2014-11-25 15:31

developer   ~0000603

Changes were checked in under issue 0001310 (Support sql dialect 1 for firebird)

Related Changesets

SymmetricDS: master 88420333

2014-11-25 15:30:46

erilong

Details Diff
0001741: Improve Firebird SYM_UDF installation
0001741
add - symmetric-server/src/main/deploy/databases/firebird/x32/sym_udf.so Diff File
add - symmetric-server/src/main/deploy/databases/firebird/x64/sym_udf.so Diff File

SymmetricDS: master 40d90183

2014-11-25 15:31:13

erilong

Details Diff
0001741: Improve Firebird SYM_UDF installation
0001741
rm - symmetric-server/src/main/deploy/databases/firebird/sym_udf.so Diff File

Issue History

Date Modified Username Field Change
2014-05-31 11:03 elong New Issue
2014-05-31 11:03 elong Status new => assigned
2014-05-31 11:03 elong Assigned To => elong
2014-05-31 11:05 elong Note Added: 0000531
2014-11-25 15:31 elong Note Added: 0000603
2014-11-25 15:32 elong Status assigned => resolved
2014-11-25 15:32 elong Fixed in Version => 3.7.0
2014-11-25 15:32 elong Resolution open => fixed
2014-11-25 16:00 Changeset attached => SymmetricDS trunk r8962
2014-11-25 16:00 Changeset attached => SymmetricDS trunk r8963
2015-01-06 17:26 chenson Status resolved => closed
2015-07-30 21:49 Changeset attached => SymmetricDS master 40d90183
2015-07-30 21:49 Changeset attached => SymmetricDS master 88420333